org.apache.coyote.ajp

## Class AbstractAjpProtocol.AbstractAjpConnectionHandler<S,P extends AbstractAjpProcessor<S>>

- java.lang.Object
- - org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<S,P>
  - - org.apache.coyote.ajp.AbstractAjpProtocol.AbstractAjpConnectionHandler<S,P>

All Implemented Interfaces:
  AbstractEndpoint.Handler

Direct Known Subclasses:
  AjpAprProtocol.AjpConnectionHandler, AjpNioProtocol.AjpConnectionHandler, AjpProtocol.AjpConnectionHandler

Enclosing class:
  AbstractAjpProtocol

    protected abstract static class AbstractAjpProtocol.AbstractAjpConnectionHandler<S,P extends AbstractAjpProcessor<S>>
    extends AbstractProtocol.AbstractConnectionHandler<S,P>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`AbstractEndpoint.Handler.SocketState`

### Field Summary

### Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`connections, global, recycledProcessors, registerCount`

### Constructor Summary

Constructors
`protected` `AbstractAjpProtocol.AbstractAjpConnectionHandler()`

### Method Summary

Methods
`protected P` `createUpgradeProcessor(SocketWrapper<S> socket, HttpUpgradeHandler httpUpgradeHandler)`
`protected P` `createUpgradeProcessor(SocketWrapper<S> socket, UpgradeInbound inbound)` Deprecated. Will be removed in Tomcat 8.0.x.
`protected void` `initSsl(SocketWrapper<S> socket, Processor<S> processor)`
`protected void` `longPoll(SocketWrapper<S> socket, Processor<S> processor)`

### Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`createProcessor, getGlobal, getLog, getProtocol, process, recycle, register, release, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAjpProtocol.AbstractAjpConnectionHandler

    protected AbstractAjpProtocol.AbstractAjpConnectionHandler()

### Method Detail

#### initSsl

    protected void initSsl(SocketWrapper<S> socket,
               Processor<S> processor)

Specified by:
  `initSsl` in class `AbstractProtocol.AbstractConnectionHandler<S,P extends AbstractAjpProcessor<S>>`

#### longPoll

    protected void longPoll(SocketWrapper<S> socket,
                Processor<S> processor)

Specified by:
  `longPoll` in class `AbstractProtocol.AbstractConnectionHandler<S,P extends AbstractAjpProcessor<S>>`

#### createUpgradeProcessor

    @Deprecated
    protected P createUpgradeProcessor(SocketWrapper<S> socket,
                                      UpgradeInbound inbound)

Deprecated. Will be removed in Tomcat 8.0.x.

Specified by:
  `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<S,P extends AbstractAjpProcessor<S>>`

#### createUpgradeProcessor

    protected P createUpgradeProcessor(SocketWrapper<S> socket,
                           HttpUpgradeHandler httpUpgradeHandler)

Specified by:
  `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<S,P extends AbstractAjpProcessor<S>>`